Subject: [Hubmib] RFC 3621 question on disabling a port

From: "Miller, Jeff" <[email-masked]>
Date: Thu, 3 Mar 2005 07:50:53 -0600

I am having problems interpreting the use of two objects in RFC 3621.

The pethPsePortAdminEnable is a read-write object that has a truth value where true indicates that interface can provide the PSE function and false indicates that it should not.  As a read object this makes sense but it is unclear what is intended as a write object.  What should occur if the interface can provide PSE functionality and it is set to false?  Is this an implied disable of the interface or does it mean that the remaining SNMP PSE objects no longer apply?

The pethPsePortDetectionStatus has a state of "disabled" but this object is read only.  Unless there is some implied "disable" function in the pethPsePortAdminEnable object I do not see a means of getting an interface into a disabled state via the MIB. Am I interpreting this incorrectly or is this a deficiency of the MIB?

Thanks,

Jeff

--

Jeff Miller
ADC Telecommunications
1187 Park Place, Shakopee, MN  55379
952-403-8637
[email-masked]

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Tue, 15 Mar 2005 03:59:32 +0200

Jeff,

I apologize for the delay in answering, but I was and still am on the road since your message showed up on the list. 

Please see my answers below. 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of Miller, Jeff

> The pethPsePortAdminEnable is a read-write object that has a 
> truth value where true indicates that interface can provide 
> the PSE function and false indicates that it should not.  As 
> a read object this makes sense but it is unclear what is 
> intended as a write object.  What should occur if the 
> interface can provide PSE functionality and it is set to 
> false?  Is this an implied disable of the interface or does 
> it mean that the remaining SNMP PSE objects no longer apply?

None of these. Setting this object to false means that the PSE function on the port is disabled. The port continues to be enabled Etherne-wise and the objects in the MIB reflect the PSE disabled state. See also IEEE Std 802.3af Section 30.9.1.1.2, definition of aPSEAdminState.
 
> 
> The pethPsePortDetectionStatus has a state of "disabled" but 
> this object is read only.  Unless there is some implied 
> "disable" function in the pethPsePortAdminEnable object I do 
> not see a means of getting an interface into a disabled state 
> via the MIB. Am I interpreting this incorrectly or is this a 
> deficiency of the MIB?

The disabled value in the enumeration reflects exactly the state corresponding to setting pethPsePortAdminEnable to false.